<!-- markdownlint-disable MD033 MD041 -->
<div align="center">
  <!-- markdownlint-disable-next-line MD013 -->
  <img width="200" src="./assets/lesbian-nix.svg" alt="The Nix logo recolored with the colors of the lesbian flag.">
  <h1>marleyOS</h1>
  <a href="https://codewith.babesonthe.net/punkfairie/nix/commits/branch/main">
    <img alt="Last Commit" src="https://img.shields.io/gitea/last-commit/punkfairie/nix?gitea_url=https%3A%2F%2Fcodewith.babesonthe.net&style=for-the-badge&logo=git&logoColor=d362a4&label=updated&color=d362a4">
  </a>
  <a href="https://lix.systems/">
    <img alt="Built With" src="https://img.shields.io/badge/built_with-lix-ff9a56?style=for-the-badge&logo=nixos&logoColor=ff9a56">
  </a>
  <br><br>
  <p>My dotfiles.</p>
</div>

## 🩷 About

This is my personal system configuration. You are welcome to use it, but I
wouldn't advise doing so. It's written to be publicly accessible but not
publicly released, therefore things are likely to break.

## 🥚 Inputs

- [easy-hosts](https://github.com/tgirlcloud/easy-hosts/tree/main)
- [nix-darwin](https://github.com/nix-darwin/nix-darwin)
- [Home Manager](https://github.com/nix-community/home-manager)
- [Agenix](https://github.com/ryantm/agenix)
- [Stylix](https://github.com/nix-community/stylix)
- [MarleyVim](https://codewith.babesonthe.net/punkfairie/marleyvim)

## 🐣 Outputs

- _hosts:_ System config
  - _hosts/nyx:_ My main desktop, running NixOS.
  - _hosts/mairley:_ My Macbook Air 2022ish. Main laptop.
  - _hosts/marleycentre:_ My LAN server.
  - _hosts/marleynet:_ My public server.
- _modules:_ Most config is done here. The file structure is pretty
  self-explanatory.
  - _modules/base:_ Config that applies to both NixOS & macOS.
  - _modules/{nixos,darwin,home}/shell:_ Config related to the graphical
    environment. That includes theming, window managers/desktop environments,
    display managers, etc.
- _overlays_
  - _overlays/firefox-addons:_ A few addons that weren't in
    [rycee's NUR repo](https://nur.nix-community.org/repos/rycee/).
  - _overlays/ddclient:_ Pull in a specific version newer than what's in nixpkgs
    because I need [Porkbun](https://porkbun.com/) support.
  - _overlays/maple-mono-NF:_ Use
    [my build](https://github.com/punkfairie/maple-font) of Maple Mono NF.
- _packages_
  - _packages/CEmu-TI-84-Plus-CE:_ CEmu wrapped to include my config. I believe
    it still needs the ROM downloaded separately to function. <!-- TODO: Make the package download the ROM? -->
  - _packages/figlet-xero-fonts:_ Adding in
    [xero's custom fonts](https://github.com/xero/figlet-fonts/).
  - _packages/phpstorm-with-node:_ PHPStorm wrapped to give it access to NodeJS.

## 🫶 Credits

- [isabelroses/dotfiles](https://github.com/isabelroses/dotfiles) - the general
  structure of my config was heavily inspired by Isabel's.
- [the nix logo used in this readme](https://lix.systems/)

<!-- TODO: update ddclient -->
<!-- TODO: update maple mono NF -->
